Bug 8516 - Not recompiling when using gcc plugins
Not recompiling when using gcc plugins
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
3.1.6
All All
: P5 normal
: 3.1.7
Assigned To: Joel Rosdahl
Joel Rosdahl
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-10 11:17 UTC by Mathias Krause
Modified: 2012-01-08 14:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Krause 2011-10-10 11:17:56 UTC
ccache does not recompile a source file when the source file hasn't changed and the command line neither, but the used plugins (-fplugin=<path to shared object>) were updated. To fix this, ccache should include the timestamps/hashes of all plugins used on the command line.

This was first noticed by getting unexpected results with the evolving gcc plugins of the PaX Linux kernel patch (<http://www.grsecurity.net/~paxguy1/>).
Comment 1 Joel Rosdahl 2012-01-06 16:10:21 UTC
Fixed in 6802a3f6ca005138969a8badfa91abae2184de9f.
Comment 2 Joel Rosdahl 2012-01-08 14:47:22 UTC
Included in v3.1.7.